Delimiter 	[ \t\n]
WhiteSpace 	{Delimiter}+
Letter 		[A-Za-z]
Digit 		[0-9]
Dot		[.]
%%
[ \t\n]+	{ /* delete */ }
[Bb][Ee][Gg][Ii][Nn] 
		{ return 4; }
[Ee][Nn][Dd] 	{ return 5; }
[Rr][Ee][Aa][Dd] 
		{ return 6; }
[Ww][Rr][Ii][Tt][Ee] 
		{ return 7; }
{Letter}({Letter}|{Digit})*	
		{ return 1; }
{Digit}+        { return 2; }
{Digit}*[.]{Digit}*	
		{ return 2; }
"+"		{ return 13; }
"-"		{ return 13; }
"*"		{ return 3; }
"/"		{ return 3; }
"("		{ return 8; }
")"		{ return 9; }
";"		{ return 10; }
":="		{ return 11; }
".."		{ return 12; }
%%
    int yywrap(void) { return 1; }


    int main(int argc, char *argv[])
     {
            ++argv, --argc;  /* skip over program name */
            if (argc > 0)
                yyin = fopen(argv[0], "r");
            else
                yyin = stdin;

            while (!feof(yyin)) {
		printf("\t yylex() return=%d, yytext=%s\n", yylex(), yytext);
	    }
     }
